/***************************************************************************
                                 ksmmatrixpanel.cpp
                             -------------------
    begin
    copyright            : (C) 2001 by Kamil Dobkowski
    email                : kamildbk@friko.onet.pl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "ksmpanel.h"
#include <qobjectlist.h>
#include <qlayout.h>

//----------------------------------------------------------------------------------------//

KSMPanel::KSMPanel( QWidget *parent, const char *name )
: QWidget( parent, name )
 {
  //setFixedHeight( 130 );
 }

//----------------------------------------------------------------------------------------//

KSMPanel::~KSMPanel()
 {
 }

//----------------------------------------------------------------------------------------//

void KSMPanel::updateContents()
 {
 }

//----------------------------------------------------------------------------------------//

QSMatrix *KSMPanel::editedMatrix()
 {
  return NULL;
 }

//----------------------------------------------------------------------------------------//

void KSMPanel::setOrientation( Qt::Orientation o )
 {
  const QObjectList *objects = queryList( "QBoxLayout", 0, FALSE, FALSE );
  if ( objects ) {
  	QObjectListIt object( *objects );	
  	while ( (QObject*)object ) {
		QBoxLayout *layout = dynamic_cast<QBoxLayout*>((QObject*)object);
		if ( layout ) layout->setDirection( o==Horizontal ? QBoxLayout::LeftToRight : QBoxLayout::TopToBottom );
		++object;
		}
	}
 }
